PHP Manual
Prev |  | Next

# SDO_DAS_Setting::getListIndex

(no version information, might be only in CVS)

SDO_DAS_Setting::getListIndex -- Get the list index for a changed many-valued property

## Description

int SDO_DAS_Setting::getListIndex ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Get the list index for a modification made to an element of a many-valued property. For example, if we modified the third element of a many-valued property we could obtain an SDO_DAS_Setting from the change summary corresponding to that modification. A call to getListIndex() on that setting would return the value 2 (lists are indexed from zero).

## Parameters

None.

## Return Values

The list index for the element of the many-valued property which has been changed.

Prev | Home | Next
SDO_DAS_DataObject::getChangeSummary | Up | SDO_DAS_Setting::getPropertyIndex